com.sun.grid.jgdi.management

## Class JGDIAgent

- java.lang.Object
- - com.sun.grid.jgdi.management.JGDIAgent

- All Implemented Interfaces:
    java.lang.Runnable

      public class JGDIAgent
      extends java.lang.Object
      implements java.lang.Runnable

  JGDI JMX agent class.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.File` | `getCaTop()`
    `static java.io.File` | `getJmxDir()`
    `static javax.management.ObjectName` | `getObjectNameForSessionMBean(long sessionId)` Get the name of the session mbean
    `static javax.management.ObjectName` | `getObjectNameFromConnectionId(java.lang.String connectionId)` Get the name of the session mbean
    `static long` | `getSessionIdFromConnectionId(java.lang.String connectionId)` Get the session id out of the connection id
    `static java.lang.String` | `getSgeCell()`
    `static java.io.File` | `getSgeRoot()`
    `static java.lang.String` | `getUrl()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `run()`
    `static void` | `shutdown()` Shutdown the JGDIAgent
    `static void` | `start()`
    `void` | `startMBeanServer()`
    `static void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### startMBeanServer

          public void startMBeanServer()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getUrl

          public static java.lang.String getUrl()

    - #### getCaTop

          public static java.io.File getCaTop()

    - #### getSgeRoot

          public static java.io.File getSgeRoot()

    - #### getSgeCell

          public static java.lang.String getSgeCell()

    - #### getJmxDir

          public static java.io.File getJmxDir()

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### main

          public static void main(java.lang.String[] args)

    - #### shutdown

          public static void shutdown()

      Shutdown the JGDIAgent

    - #### start

          public static void start()

    - #### stop

          public static void stop()

    - #### getObjectNameFromConnectionId

          public static javax.management.ObjectName getObjectNameFromConnectionId(java.lang.String connectionId)

      Get the name of the session mbean
      Parameters:
        `connectionId` - the id of the jmx connection
      Returns:
        name of the session mbean or `null` if the connection id does not contain a session id

    - #### getObjectNameForSessionMBean

          public static javax.management.ObjectName getObjectNameForSessionMBean(long sessionId)

      Get the name of the session mbean
      Parameters:
        `sessionId` - the session id
      Returns:
        the name of the session mbean

    - #### getSessionIdFromConnectionId

          public static long getSessionIdFromConnectionId(java.lang.String connectionId)

      Get the session id out of the connection id
      Parameters:
        `connectionId` - the connection id
      Returns:
        the session id of `-1` if the connection id does not contain a session id

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.